package com.jasamedika.medifirst2000.service;


import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.vo.PegawaiHistoriEvaluasiVO;
import com.jasamedika.medifirst2000.vo.StrukHistoriVO;

public interface RiwayatPenilaianKompetensiPegawaiService { 
	
	Map<String,Object> getPenilaianKompetensiPegawai(Integer idJabatan,String tglpenilaian,Integer idPegawai);
	
	Map<String,Object> savePenilaianKompetensiPegawai(StrukHistoriVO vo);
	
	List<Map<String,Object>> getGapKompetensiPegawai(Integer idRuangan, String periode);
	
	Map<String,Object> getKompetensiPegawai(Integer idRuangan);
	
	List<Map<String, Object>> filteringKompetensi(Integer idJabatan);
	
	List<Map<String, Object>> getRencanaTindakLanjut();
	
	}
